JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.TYPEKIND

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.OaIdl.TYPEKIND

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  OaIdl

    public static class OaIdl.TYPEKIND

extends IntegerType

See Also:
  Serialized Form

Field Summary
`static int` `TKIND_ALIAS`
`static int` `TKIND_COCLASS`
`static int` `TKIND_DISPATCH`
`static int` `TKIND_ENUM`
`static int` `TKIND_INTERFACE`
`static int` `TKIND_MAX`
`static int` `TKIND_MODULE`
`static int` `TKIND_RECORD`
`static int` `TKIND_UNION`

Constructor Summary
`OaIdl.TYPEKIND()`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TKIND_ENUM

    public static final int TKIND_ENUM

See Also:
  Constant Field Values

### TKIND_RECORD

    public static final int TKIND_RECORD

See Also:
  Constant Field Values

### TKIND_MODULE

    public static final int TKIND_MODULE

See Also:
  Constant Field Values

### TKIND_INTERFACE

    public static final int TKIND_INTERFACE

See Also:
  Constant Field Values

### TKIND_DISPATCH

    public static final int TKIND_DISPATCH

See Also:
  Constant Field Values

### TKIND_COCLASS

    public static final int TKIND_COCLASS

See Also:
  Constant Field Values

### TKIND_ALIAS

    public static final int TKIND_ALIAS

See Also:
  Constant Field Values

### TKIND_UNION

    public static final int TKIND_UNION

See Also:
  Constant Field Values

### TKIND_MAX

    public static final int TKIND_MAX

See Also:
  Constant Field Values

Constructor Detail

### OaIdl.TYPEKIND

    public OaIdl.TYPEKIND()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.